Skip to content

Get accounting snapshot

GET /accounting-snapshot

Server: https://data.openfish.fun (port 3003)

Tags: Core

Produces a comprehensive balance report for a wallet, covering both collateral (USDC) and conditional token holdings.


NameInTypeDescription
userquerystringRequired. User wallet address

200 — An accounting snapshot object.

{
"user": "0xabc...",
"collateral": "5000.00",
"conditionalTokens": "12500.75",
"balances": [
{
"assetType": "COLLATERAL",
"tokenId": "usdc",
"balance": "5000.00",
"conditionId": "",
"outcome": "",
"outcomeIndex": 0
},
{
"assetType": "CONDITIONAL",
"tokenId": "token123",
"balance": "100.5",
"conditionId": "0xdef...",
"outcome": "Yes",
"outcomeIndex": 0
}
]
}

Terminal window
curl "https://data.openfish.fun/accounting-snapshot?user=0xabc123..."